### Function

# AppStream utils_data_id_hash

since: 0.14.0

#### Declaration [src]

    guint
    as_utils_data_id_hash (
      const gchar* data_id
    )

#### Description [src]

Converts a data-id to a hash value.

This function implements the widely used DJB hash on the ID subset of the data-id string.

It can be passed to `g_hash_table_new()` as the hash_func parameter, when using non-NULL strings or unique_ids as keys in a GHashTable.

Available since: 0.14.0

#### Parameters

`data_id`

  Type: `const gchar*`

  A data ID.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `guint`

A hash value corresponding to the key.